package org.example.music.common;

import lombok.Data;

/**
 * @Author 祝英台炸油条
 * @Time : 2022/6/4 19:04
 **/
@Data
public class R {

    private int code;

    private String message;

    private String type;

    private Boolean success;

    private Object data;

    public static org.example.music.common.R success(String message) {
        org.example.music.common.R r = new org.example.music.common.R();
        r.setCode(200);
        r.setMessage(message);
        r.setSuccess(true);
        r.setType("success");
        r.setData(null);
        return r;
    }

    public static org.example.music.common.R success(String message, Object data) {
        org.example.music.common.R r = success(message);
        r.setData(data);
        return r;
    }

    public static org.example.music.common.R warning(String message) {
        org.example.music.common.R r = error(message);
        r.setType("warning");
        return r;
    }

    public static org.example.music.common.R error(String message) {
        org.example.music.common.R r = success(message);
        r.setSuccess(false);
        r.setType("error");
        return r;
    }

    public static org.example.music.common.R fatal(String message) {
        org.example.music.common.R r = error(message);
        r.setCode(500);
        return r;
    }
}
