package org.example.music.model.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @Author lc
 * @Time : 2022/6/6 18:44
 **/
@ApiModel(value = "AdminRequest", description = "登录")
@Data
public class AdminRequest {
    @ApiModelProperty(value = "自增id", required = false, example = "")
    private Integer id;
    @ApiModelProperty(value = "用户名", required = true, example = "")
    private String username;
    @ApiModelProperty(value = "密码", required = true, example = "")
    private String password;
}
