package org.example.music.model.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @Author 祝英台炸油条
 * @Time : 2022/6/6 13:11
 **/
@Data
@ApiModel(value = "CollectRequest", description = "新增收藏")
public class CollectRequest {
    private Integer id;

    @ApiModelProperty(value = "用户id", example = "")
    private Integer userId;

    private Byte type;

    @ApiModelProperty(value = "歌曲id", example = "")
    private Integer songId;

    private Integer songListId;

    private Date createTime;
}
