package org.example.music.service;

import com.baomidou.mybatisplus.extension.service.IService;
import org.example.music.common.R;
import org.example.music.model.domain.Comment;
import org.example.music.model.request.CommentRequest;

public interface CommentService extends IService<Comment> {

    R addComment(CommentRequest addCommentRequest);

    R updateCommentMsg(CommentRequest upCommentRequest);

    R deleteComment(Integer id);

    R commentOfSongId(Integer songId);

    R commentOfSongListId(Integer songListId);

}
